<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">

    <h:body>

        <ui:composition template="../WEB-INF/template/Template.xhtml">


            <ui:define name="content">




                <h:form>

                    <p:growl autoUpdate="true" id="growl" />
                    <p:fieldset legend="Cadastro de Cliente" >
                        <p:messages id="msg" />

                        <p:panelGrid columns="2" >

                            <f:facet name="header" >

                                Dados do Cliente 

                            </f:facet>


                            <p:outputLabel value="Codigo" for="codigo" />
                            <p:inputText id="codigo" value="#{clienteBean.cliente.id}" style="width: 40px" readonly="true" />

                            <p:outputLabel value="Nome" for="nome" />



                            <h:panelGroup>

                                <p:inputText id="nome" value="#{clienteBean.cliente.nome}" required="true" />
                                <p:message for="nome" />
                            </h:panelGroup>

                            <p:outputLabel value="Telefone:" for="telefone" />

                            <h:panelGroup >
                                <p:inputMask id="telefone" mask="(99) 99999 - 9999" placeholder="XX XXXXX-XXXX" required="true" value="#{clienteBean.cliente.telefone}" />
                                <p:message for="telefone" />
                            </h:panelGroup>

                            <p:outputLabel value="E-mail:" for="email" />
                            <h:panelGroup >
                                <p:inputText id="email" required="true" value="#{clienteBean.cliente.email}" />
                                <p:message for="email" />
                            </h:panelGroup>

                            <f:facet name="footer" >

                                <p:commandButton value="Salvar" icon="fa-save" ajax="false" action="#{clienteBean.salvar()}" />
                                <p:spacer width="20px" />
                                <p:commandButton value="Novo" icon="fa-save" ajax="false" action="#{clienteBean.salvar()}" />

                            </f:facet>

                        </p:panelGrid>


                        <h:inputHidden value="#{clienteBean.cliente.id}" />


                    </p:fieldset>

                    <p:spacer height="20px" />

                    <p:fieldset legend="Lista de Clientes" >

                        <p:dataTable value="#{clienteBean.lista}" var="cliente" id="tabela" >
                            <p:column headerText="Código" style="width: 80px; text-align: center  ">
                                <h:outputText value="#{cliente.id}" />

                            </p:column>

                            <p:column headerText="Nome" >
                                <h:outputText value="#{cliente.nome}" />
                            </p:column>

                            <p:column headerText="Telefone" >
                                <h:outputText value="#{cliente.telefone}" />
                            </p:column>


                            <p:column headerText="Email" >
                                <h:outputText value="#{cliente.email}" />
                            </p:column>

                            <p:column style="width: 100px; text-align: center" >
                                <p:commandButton icon="ui-icon-pencil" title="Editar" ajax="false" immediate="true">
                                    <f:setPropertyActionListener target="#{clienteBean.cliente}" value="#{cliente}" />
                                </p:commandButton>

                                <p:commandButton icon="ui-icon-trash" title="Excluir" actionListener="#{clienteBean.excluir(cliente)}" process="@this" update="growl , tabela" />


                            </p:column>







                        </p:dataTable>





                    </p:fieldset>








                </h:form>



            </ui:define>

        </ui:composition>        


    </h:body>
</html>

